react-native - 설치 - 리액트 네이티브 엑스포




엑스포 DevTools TypeError:정의되지 않은 'compile'속성을 읽을 수 없습니다. (2)

ExpoCli 버전을 변경하면서이 문제를 해결할 수있었습니다.

expo-cli 2.2.5 좋음 expo-cli 2.2.5 . 최신 버전으로 문제를 해결할 때까지 사용할 수 있습니다.

  1. expo-cli 제거
  2. npm install -g [email protected]

프로젝트를 시작한 후 모두 좋아 보인다. There is a new version of expo-cli available (2.4.0). You are currently using expo-cli 2.2.5 Run `npm install -g expo-cli` to get the latest version

Expo DevTools를 사용할 수 없습니다. 내 접근 방식 :

npm install -g expo-cli
expo init
cd PROJECTNAME
expo start

콘솔에서 다음과 같은 오류 메시지가 나타납니다.

TypeError : undefined의 'compile'속성을 읽을 수 없습니다.

그리고 브라우저의 DevTools에있는이 하나 :

엑스포 개발자 도구가 엑스포 CLI와 연결이 끊어졌습니다. expo start 명령을 사용하여 CLI를 다시 시작하십시오.

아무도 여기서 빠져 나간 줄 알아?


여기서 누락 된 것이 없습니다.이 버전의 expo-cli 에는 문제가있는 것으로 보입니다.

주석에 공유 된 github 스레드에는 더 많은 정보와 가능한 해결 방법이 있습니다. github.com/expo/expo-cli/issues/213

해결 방법이 효과가 없을 경우, react-native-cli 하거나 엑스포 팀이이 문제를 해결할 때까지 하루나 이틀 정도 기다려 보시기 바랍니다.